InboxGet a conversation with all messages

Get a conversation with all messages

Sent emails and inbound messages merged chronologically.

curl -X GET "https://api.supasend.io/v1/inbox/threads/507f1f77bcf86cd799439011" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "thread": {
    "id": "example_string",
    "mailbox_id": "example_string",
    "root_message_id": "example_string",
    "subject": "example_string",
    "participants": [
      "example_string"
    ],
    "email_job_id": "user@example.com",
    "message_count": 25,
    "unread_count": 10,
    "last_message_at": "2024-12-25T10:00:00Z",
    "last_message_direction": "inbound",
    "last_inbound_at": "2024-12-25T10:00:00Z",
    "snippet": "example_string",
    "created_at": "2024-12-25T10:00:00Z",
    "updated_at": "2024-12-25T10:00:00Z"
  },
  "messages": [
    {
      "id": "example_string",
      "direction": "inbound",
      "kind": "example_string",
      "status": "example_string",
      "message_id": "example_string",
      "from": {
        "name": "John Doe",
        "email": "user@example.com"
      },
      "to": [
        {
          "name": "John Doe",
          "email": "user@example.com"
        }
      ],
      "cc": [
        {
          "name": "John Doe",
          "email": "user@example.com"
        }
      ],
      "subject": "example_string",
      "snippet": "example_string",
      "body_text": "example_string",
      "body_html": "example_string",
      "reply_text": "example_string",
      "reply_html": "example_string",
      "attachments": [
        {
          "index": 42,
          "filename": "John Doe",
          "content_type": "example_string",
          "size": 42,
          "is_inline": true,
          "content_id": "example_string"
        }
      ],
      "is_read": true,
      "date": "2024-12-25T10:00:00Z",
      "email_job_id": "user@example.com"
    }
  ]
}
GET
/v1/inbox/threads/{id}
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key in the format sk_live_<64 hex characters>

API key in the format sk_live_<64 hex characters>
path
idstring
Required

MongoDB ObjectID

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. API key in the format sk_live_\<64 hex characters\>

Path Parameters

idstring
Required

MongoDB ObjectID

Example:
507f1f77bcf86cd799439011

Responses

threadobject
messagesarray